GCXONEDocumentation

Sensor

On this page
  1. POST /sensor/
  2. Request body
  3. Responses
  4. POST /sensor/filter
  5. Request body
  6. Responses
  7. PUT /sensor/isolate?sensorId={sensorId}&enable={enable}
  8. Parameters
  9. Responses
  10. POST /sensor/listBySiteIds
  11. Request body
  12. Responses
  13. POST /sensor/search
  14. Request body
  15. Responses
  16. GET /sensor/{id}
  17. Parameters
  18. Responses
  19. PUT /sensor/{id}
  20. Parameters
  21. Request body
  22. Responses
  23. DELETE /sensor/{id}
  24. Parameters
  25. Responses
  26. GET /sensor/{id}/streamingEndpoints
  27. Parameters
  28. Responses

Operations on sensor resources. 9 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /sensor/

Create new Sensor

Request body

Add a Sensor

json
{
  "payload": [
    {
      "id": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "customerId": "string",
      "serviceProvidersEventProviderId": "string",
      "associatedDeviceName": "string",
      "associatedDeviceId": "string",
      "catalogName": "string",
      "commercialName": "string (required)",
      "deviceType": "string",
      "sensorType": "string",
      "description": "string",
      "macAddress": "string",
      "modelNo": "string",
      "hardwareVersion": "string",
      "firmwareVersion": "string",
      "manafacturer": "string",
      "jsonSchema": "object",
      "photos": [
        "string"
      ],
      "specification": "string",
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string",
        "plusCode": "string",
        "what3Words": "string"
      },
      "siteParent": "string",
      "siteId": "string",
      "assetStatus": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "channelId": "number",
      "type": "string",
      "syncStatus": "boolean",
      "isPtzCamera": "boolean",
      "isThermalCamera": "boolean"
    }
  ]
}

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

POST /sensor/filter

Gets sensor list with filtering, sorting and pagination. It allows hierarchical level searching. It can be filtered using specified hierarchy or it uses the logged in user hierarchy. This gives the option to get additional entity fields in the response. Also provides configuration meta data about entity.

Request body

Sensor filtering and sorting

json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}

Responses

Status

Description

Body

200

Success

object

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

Example 200 response:

json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Sensor",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "commercialName": "Camera 01",
      "assetStatus": "active",
      "enableAudio": "Disabled",
      "manafacturer": "HSION",
      "uniqueId": "b89e4e809ce547f01234567eba36f825",
      "dateTime": 1648453119079,
      "associatedDeviceId": "e5560be4e809ce547f012547f76547f01234",
      "associatedDeviceName": "Device"
    },
    {
      "commercialName": "Camera 03",
      "assetStatus": "active",
      "enableAudio": "Disabled",
      "manafacturer": "HSION",
      "uniqueId": "p05e4e107ce547f7654321eba36f790",
      "dateTime": 1648453119079,
      "associatedDeviceId": "561eba3591c690ed03c4547f0123456345c4",
      "associatedDeviceName": "Device"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}

PUT /sensor/isolate?sensorId={sensorId}&enable={enable}

Update isolation for sensor

Parameters

Name

In

Type

Required

Description

sensorId

query

string

yes

enable

query

boolean

yes

isolateStartTime

query

number

no

duration

query

number

no

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

POST /sensor/listBySiteIds

Get sensors by site id list

Request body

Get sensors

json
{
  "siteIds": [
    "string"
  ]
}

Responses

Status

Description

Body

200

Success

object

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

Example 200 response:

json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "sensor",
      "deviceId": "ce546437f01234567e6f825",
      "deviceName": "device",
      "siteName": "site",
      "customerName": "customer"
    }
  ]
}

POST /sensor/search

Search sensors

Request body

Search sensors

json
{
  "skip": "number",
  "limit": "number",
  "siteName": "string",
  "siteId": "string (required)",
  "sensorName": "string",
  "isAll": "boolean",
  "searchTag": [
    "string"
  ]
}

Responses

Status

Description

Body

200

Success

object

400

Invalid input

401

Unauthorized

403

Forbidden

404

Not Found

Example 200 response:

json
{
  "data": [
    {
      "sensorId": "89d42e2953b8b5d662b3006bfdd444e",
      "name": "Camera 03",
      "isActive": true,
      "type": "camera",
      "mapInfo": {
        "latitude": "13.035775322405794",
        "longitude": "80.17819431590344",
        "plusCode": "25PH+87 Chennai, Tamil Nadu, India",
        "what3Words": "climbing.rested.alongside",
        "zone": ""
      }
    }
  ],
  "isSuccess": true
}

GET /sensor/{id}

Get by sensor id

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

PUT /sensor/{id}

Update an existing Sensor

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Request body

json
{
  "payload": {
    "id": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "customerId": "string",
    "imageFile": "string",
    "serviceProvidersEventProviderId": "string",
    "associatedDeviceName": "string",
    "associatedDeviceId": "string",
    "catalogName": "string",
    "commercialName": "string (required)",
    "deviceType": "string",
    "sensorType": "string",
    "description": "string",
    "macAddress": "string",
    "modelNo": "string",
    "hardwareVersion": "string",
    "firmwareVersion": "string",
    "manafacturer": "string",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "eventTypes": [
      "object"
    ],
    "actionSupported": [
      "object"
    ],
    "photos": [
      "object"
    ],
    "photoSizeInPixel": [
      "object"
    ],
    "specification": "string",
    "assetId": "string",
    "prerequisite": [
      "object"
    ],
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string",
      "zone": "string"
    },
    "siteParent": "string",
    "siteId": "string",
    "assetStatus": "string",
    "tags": [
      "string"
    ],
    "eventTags": [
      "string"
    ],
    "isInArmState": "boolean",
    "uniqueId": "string",
    "channelId": "number",
    "syncStatus": "boolean",
    "roiCoordinates": [
      [
        "number"
      ]
    ],
    "isIsolate": "boolean",
    "isolatedTime": "string",
    "isolateStartTime": "string",
    "isPtzCamera": "boolean",
    "isThermalCamera": "boolean",
    "enableAudio": "boolean",
    "timerMaskCoordinates": [
      [
        "number"
      ]
    ],
    "analyticsROI": [
      "object"
    ],
    "analytics": "object",
    "analyticsSPDefined": [
      "object"
    ]
  }
}

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

DELETE /sensor/{id}

Delete a sensor by id

Parameters

Name

In

Type

Required

Description

id

path

string

yes

forceDelete

query

string

no

force delete sensor

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

GET /sensor/{id}/streamingEndpoints

Get streaming endpoints

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Sensor id

startTime

query

number

no

Epoch time in milliseconds

endTime

query

number

no

Epoch time in milliseconds

expiry

query

number

no

In seconds

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

Was this page helpful?

Thank you — your feedback goes to the team that owns this page.